Subject: [CGA-EXT] Comments on draft-ietf-csi-send-name-type-registry-01

From: Tony Cheneau <[email-masked]>
Date: Mon, 1 Mar 2010 14:27:49 +0100 (CET)

Hello Ana, Rogue and Suresh,

I read the draft draft-ietf-csi-send-name-type-registry-01 and I have the 
following comments:

Section 3 title is "SEND SKI trust anchor Name Type field.", I think it 
should be "SEND SKI trust anchor option Name Type field".

In section 3.1,
"   If the router is unable to find a path to the requested anchor, it
    SHOULD send an advertisement without any certificate.  In this case,
    the router SHOULD include the TA options that were solicited."
This is already stated in RFC 3971 (with the same terms). Is there any 
valid reason to add it there ? It makes it sound like a new "processing 
rule".

IMHO, the document is in a good shape.

Regards,
 	Tony

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 2 Mar 2010 12:03:25 -0500

Hi Tony,
  Thanks for your comments. Please find responses inline .

> -----Original Message-----
> From: Tony Cheneau [mailto:[email-masked]] 
> Sent: Monday, March 01, 2010 5:28 AM
> To: [email-masked]; Suresh Krishnan; [email-masked]
> Cc: [email-masked]
> Subject: Comments on draft-ietf-csi-send-name-type-registry-01
> 
> I read the draft draft-ietf-csi-send-name-type-registry-01 
> and I have the following comments:
> 
> Section 3 title is "SEND SKI trust anchor Name Type field.", 
> I think it should be "SEND SKI trust anchor option Name Type field".

OK. Will make this change.

> This is already stated in RFC 3971 (with the same terms). Is 
> there any valid reason to add it there ? It makes it sound 
> like a new "processing rule".

It is from RFC3971, as you mentioned. We want to mention this again to make sure that
This processing rule applies to the new TA name type as well. Is it OK if we change the text to

"As specified in [RFC3971], if the router is unable to find a path to the requested anchor, it SHOULD send an advertisement without any certificate.  In this case, the router SHOULD include the TA options that were solicited."

> IMHO, the document is in a good shape.

Cool.

Thanks
Suresh